记录一次WDCP面板基于PHP5.3/5.4/5.5安装soap扩展步骤

前天晚上一个网友联系老蒋,自己的WDCP面板环境VPS服务器需要用到Soap扩展支持,因为自身PHP程序需要用到这个功能,对于Soap扩展一般环境是没有默认自带的,而且普通站点是用不到的。比如我们很多的WordPress商业插件在激活应用的时候也提示服务器环境需要支持Soap扩展。

因为老蒋之前并没有遇到过这个问题,于是就在自己测试服务器中测试完成之后,给这位网友安装,他的环境是基于PHP5.3然后安装扩展的,鉴于以后可能这位朋友还会遇到,以及可能也有其他网友需要使用,所以老蒋就把基于WDCP环境安装Soap扩展的方法步骤记录下来。其实不论是PHP5.3还是5.4或者PHP5.5/5.6方法都 有些类似,这里我采用PHP5.3的方法进行安装实战。

第一、安装、升级且确定PHP版本

如果我们采用的是WDCP默认版本,官方默认包是PHP5.2,一般我们肯定是需要升级PHP版本的,毕竟PHP5.2的处理信息能力还是比较慢的,虽然不要求我们升级到PHP7,毕竟支持7版本的程序兼容性还需要一段时间。

这里如果我们需要升级WDCP面板PHP环境,可以参考的文章:

1、WDCP面板一键包快速升级PHP5.4、MySql5.5版本环境过程

2、WDCP面板升级PHP5.6.9、MySql5.5、Zend Guard Loader7版本过程

3、WDCP面板升级PHP5.3/eAccelerator/Zend Guard Loader

鉴于这位网友的实际环境,我在本地测试机中安装默认WDCP面板之后,升级至PHP5.3.17版本。

wget https://soft.itbulu.com/wdcp/php_up53.sh
sh php_up53.sh

这个升级过程可能稍微需要一点时间,总之我们等待就可以。

安装、升级且确定PHP版本

第二、安装soap扩展过程

这里我们基于上面的第一步升级到PHP版本之后,可以看到根目录有php-5.3.17文件夹。

cd php-5.3.17

cd ext/soap

进入soap目录,这里需要注意的问题是,如果我们是PHP其他版本,也就进入对应的PHP安装目录,如果我们不小心将PHP安装包删除,那也不要紧,直接到PHP官方网站下载对应的包然后进来。

/www/wdlinux/php/bin/phpize

安装soap扩展过程

./configure --with-php-config=/www/wdlinux/php/bin/php-config --enable-soap
make
make install

soap-3

这里我们需要留下这一段:

/www/wdlinux/apache_php-5.3.17/lib/php/extensions/no-debug-non-zts-20090626/

然后我们在PHP.INI文件添加文件代码:

extension=/www/wdlinux/apache_php-5.3.17/lib/php/extensions/no-debug-non-zts-20090626/soap.so

第三、重启生效soap

service httpd restart

这样重启生效,我们来看看探针中是否有soap扩展

重启生效soap

第四、WDCP安装soap扩展总结

通过上面的步骤,还是很简单的就可以在WDCP面板环境中安装SOAP扩展的,主要是要基于PHP安装目录中的文件编译,不同的PHP版本,然后在PHP.INI文件中添加重启服务器就可以生效。

本文出处:老蒋部落 » 记录一次WDCP面板基于PHP5.3/5.4/5.5安装soap扩展步骤 | 欢迎分享( 公众号:QQ69377078 )